Subject: Missing hyperlinks in HTML docs

From: Michael Hertling <[email-masked]>
Date: Wed, 20 Jun 2012 22:43:08 +0200

Dear Git community,

beginning with v1.7.11-rc3, some HTML docs built along with Git
are lacking hyperlinks on my system. Steps to reproduce, e.g.:

gunzip -c git-1.7.11.rc3.tar.gz | tar xf -
(cd git-1.7.11.rc3 && ./configure && make -C Documentation git.html)

The resulting git.html does not have hyperlinks to the individual
Git commands, making this file somewhat useless. Doing the same
with v1.7.11-rc2, i.e.

gunzip -c git-1.7.11.rc2.tar.gz | tar xf -
(cd git-1.7.11.rc2 && ./configure && make -C Documentation git.html)

shows that git.html does have the expected hyperlinks; e.g., diffing
git-1.7.11.rc{2,3}/Documentation/git.html reveals the following hunk:

@@ -964,7 +964,6 @@
 <h3 id="_main_porcelain_commands">Main porcelain commands</h3>
 <div class="dlist"><dl>
 <dt class="hdlist1">
-<a href="git-add.html">git-add(1)</a>
 </dt>
 <dd>
 <p>

Other files, e.g. git-add.html, are affected, too.

AFAICS, this is caused by fe77b41, more precisely the change of the
Documentation/asciidoc.conf file. Indeed, reverting that commit on
v1.7.11-rc3 results in git.html containing hyperlinks as expected.

Can anyone confirm this? If so, is this intended behaviour? So far,
I haven't found any clues in the release notes / mailing list / etc.
Am I doing something wrong? Do I miss something? Thanks for any hint.

Regards,

Michael